> ## Documentation Index
> Fetch the complete documentation index at: https://dexbuilder.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# 批量查询 Token 价格

> 批量查询 Token 价格

批量查询 Token 价格。

> [!NOTE]
>
> 该接口为公开接口，不需要认证。


## OpenAPI

````yaml openapi/event-contracts.yaml GET /api/v4/event_contracts/tokens/prices
openapi: 3.0.3
info:
  title: DexBuilder Event Contracts API
  version: 1.0.0
  description: DexBuilder 事件合约 REST API
servers:
  - url: https://api.dexbuilder.com
security: []
paths:
  /api/v4/event_contracts/tokens/prices:
    get:
      summary: 批量查询 Token 价格
      description: 批量查询 Token 价格
      operationId: query_token_prices
      parameters:
        - name: token_ids
          in: query
          required: true
          schema:
            type: string
      responses:
        '200':
          description: 请求成功
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TokenPricesResponse'
        '400':
          description: 请求参数错误
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '503':
          description: 服务暂时不可用
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
components:
  schemas:
    TokenPricesResponse:
      type: object
      properties:
        items:
          type: array
          items:
            $ref: '#/components/schemas/TokenBatchPriceItem'
      description: 响应对象。
    Error:
      type: object
      description: 错误响应。
      properties:
        label:
          type: string
          example: INVALID_ARGUMENT
        message:
          type: string
          example: invalid request
    TokenBatchPriceItem:
      type: object
      properties:
        price:
          type: string
        timestamp:
          type: integer
          nullable: true
        token_id:
          type: string
      description: 响应对象。

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.